<?php
/**
 * The archive page template file
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

?>

<section <?php echo apply_filters( 'va_background_cover', 'page-cover entry-cover text-center', array( 'size' => 'full' ) ); ?>>

	<div class="hero-blog-wrap row">

		<div class="column">

			<header class="entry-header">

				<?php va_the_archive_title( '<h1 class="page-title cover-wrapper">', '</h1>' ); ?>
				<?php the_archive_description( '<div class="taxonomy-description">', '</div>' ); ?>

				<?php
				/**
				 * Fires in the archive page header.
				 *
				 * @since 4.0.0
				 */
				do_action( 'va_archive_template_header' );
				?>

			</header>

		</div> <!-- .column -->

	</div> <!-- .row -->

</section>

<div id="primary" class="content-area row">

	<main id="main" class="site-main small-12 columns" role="main">

		<?php
		if ( have_posts() ) :

			echo '<div class="row entry-wrap small-up-1 medium-up-2 large-up-3">';

			while ( have_posts() ) : the_post();

				echo '<div class="column">';

				get_template_part( 'parts/content', 'post-item' );

				echo '</div> <!-- .column -->';

			endwhile;

			echo '</div> <!-- .row -->';

			va_the_pagination();

		else :

			get_template_part( 'parts/content', 'none' );

		endif;
		?>

	</main>

	<?php //get_sidebar(); ?>

</div> <!-- #primary -->
