<?php
/**
 * The users dashboard home page
 *
 * @package Vantage
 * @since 1.0.0
 * @since 4.0.0 Moved the VA_Listing_Dashboard class into a page template.
 */

$current_user   = wp_get_current_user();
$dashboard_type = va_get_dashboard_type();

$args = array(
	'title'            => va_get_dashboard_name(),
	'dashboard_type'   => $dashboard_type,
	'dashboard_user'   => va_get_dashboard_author(),
	'is_own_dashboard' => va_is_own_dashboard(),
);
?>

<div class="content-area row">

	<?php
	if ( 'left' == get_theme_mod( 'user_sidebar_position', 'left' ) ) {
		appthemes_load_template( 'sidebar-user.php', $args );
	}
	?>

	<div id="primary" class="medium-9 columns">

		<main id="main" class="site-main" role="main">

			<?php appthemes_load_template( "parts/dashboard-{$dashboard_type}.php", $args ); ?>

		</main>

	</div> <!-- #primary -->

	<?php
	if ( 'right' == get_theme_mod( 'user_sidebar_position', 'left' ) ) {
		appthemes_load_template( 'sidebar-user.php', $args );
	}
	?>

</div> <!-- .row -->
