<?php
/**
 * The user registration page template
 *
 * Template Name: Register
 *
 * @package Vantage\Templates
 * @since 1.0.0
 */

?>

<div class="row">

	<div id="primary" class="content-area medium-8 large-4 medium-centered columns">

		<main id="main" class="site-main" role="main">

			<?php do_action( 'appthemes_notices' ); ?>

			<?php
			if ( have_posts() ) :

				while ( have_posts() ) : the_post();
			?>

				<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'content-wrap' ) ); ?> role="article">

					<div class="content-inner">

						<header class="entry-header text-center">
							<?php the_title( '<h2 class="entry-title">', '</h2>' ); ?>
						</header>

						<div class="entry-content">

							<?php the_content(); ?>

							<?php if ( get_option( 'users_can_register' ) ) : ?>

								<?php require APP_THEME_FRAMEWORK_DIR . '/templates/foundation/form-registration.php'; ?>

							<?php else : ?>

								<p><?php _e( 'User registration has been disabled.', APP_TD ); ?></p>

							<?php endif; ?>

						</div> <!-- .entry-content -->

					</div> <!-- .content-inner -->

				</article>

			<?php
				endwhile;

			endif;
			?>

		</main>

	</div> <!-- #primary -->

</div> <!-- .row -->
