<?php
/**
 * Approve or reject metabox for the listing.
 *
 * @package Vantage
 * @since   4.0.0
 */

/**
 * Listing Moderation Metabox
 */
class VA_Metabox_Listing_Moderation extends APP_Meta_Box {

	/**
	 * Constructor
	 */
	public function __construct() {
		parent::__construct( 'listing-publish-moderation', __( 'Moderation Queue', APP_TD ), VA_LISTING_PTYPE, 'side', 'high' );
	}

	function condition() {
		return ( get_post_status( $this->get_post_id() ) == 'pending' );
	}

	public function display( $post ) {

		echo html( 'p', array(), __( 'You must approve this listing before it can be published.', APP_TD ) );

		echo html( 'input', array(
			'type'  => 'submit',
			'class' => 'button-primary',
			'value' => __( 'Accept', APP_TD ),
			'name'  => 'publish',
			'style' => 'padding-left: 30px; padding-right: 30px; margin-right: 20px; margin-left: 15px;',
		) );

		echo html( 'a', array(
			'class' => 'button',
			'style' => 'padding-left: 30px; padding-right: 30px;',
			'href'  => get_delete_post_link( $post->ID ),
		), __( 'Reject', APP_TD ) );

		echo html( 'p', array(
				'class' => 'howto'
			), __( 'Rejecting a listing sends it to the trash.', APP_TD ) );

	}
}
