/**
 * Make sure the claimable checkbox saves when edited.
 *
 * @since   1.x.x
 */
function quickEditListing() {

	if ( typeof inlineEditPost === 'undefined' ) return;

	var _edit = inlineEditPost.edit;
	inlineEditPost.edit = function( id ) {

		var args = [].slice.call( arguments );
		_edit.apply( this, args );

		if ( typeof( id ) == 'object' ) {
			id = this.getId( id );
		}

		if ( this.type == 'post' ) {
			var editRow = jQuery( '#edit-' + id ), postRow = jQuery( '#post-'+id );

			// get the existing values
			var listing_claimable = ( 1 == jQuery( 'input[name="listing_claimable['+id+']"]', postRow ).val() ? true : false );

			// set the values in the quick-editor
			jQuery( ':input[name="listing_claimable"]', editRow ).attr( 'checked', listing_claimable );
		}
	};
}

// Ensure inlineEditPost.edit isn't patched until it's defined
if ( typeof inlineEditPost !== 'undefined' ) {
	quickEditListing();
} else {
	jQuery( quickEditListing );
}
