<?php
/**
 * Ajax core theme handlers
 *
 * Add any back or front-end handlers to process ajax requests.
 * Must also whitelist your handle in (APP_Ajax or via filter below)
 * AND add javascript in /assets/js/src/*.js.
 *
 * @see APP_Ajax::register_ajax_calls()
 *
 * @package Vantage
 * @since 4.0.0
 */

/**
 * Ajax handler to dismiss the Google maps api admin nag.
 *
 * @since 4.0.0
 */
function appthemes_ajax_google_maps_api_notice() {

	check_ajax_referer( 'appthemes_google_maps_api_notice_' . get_current_user_id() );
	$result = add_option( 'appthemes_google_maps_api_notice_dismissed', true );
	wp_send_json_success( $result );
}

/**
 * Whitelist and register the Google maps api handler.
 *
 * @since 4.0.0
 *
 * @param array $core_actions_post An array of ajax post action handles.
 */
function appthemes_ajax_google_maps_api_notice_action( $core_actions_post ) {

	$core_actions_post[] = 'google-maps-api-notice';
	return $core_actions_post;
}
add_filter( 'appthemes_register_ajax_post_action', 'appthemes_ajax_google_maps_api_notice_action' );
