<?php
/**
 * Posts and pages search classes.
 *
 * @package Vantage\Search
 * @author AppThemes
 * @since 4.0.0
 */

/**
 * Exclude pages from the search results.
 *
 * @since 4.0.0
 */
class VA_Search {

	/**
	 * Constructor
	 */
	public function __construct() {
		add_action( 'pre_get_posts', array( $this, 'filter_search_results' ), 1 );
	}

	/**
	 * Get the cached widget.
	 * @param array $query WP_Query object.
	 */
	public function filter_search_results( $query ) {

		// Don't filter if wp-admin or not main query.
		if ( is_admin() || ! $query->is_main_query() ) {
			return;
		}

		// Query must not be a search.
		if ( ! $query->is_search ) {
			return;
		}

		// Set the search to post_type 'post'.
		if ( get_query_var( 's' ) ) {
			$query->set( 'post_type', get_query_var( 'post_type' ) );
		} else {
			$query->set( 'post_type', 'post' );
		}
	}
}

new VA_Search();
