/*!
 * jQuery Category Fields Plugin to load Custom Form associated with selected
 * taxonomy terms.
 *
 * Use class 'app-category-fields' to apply plugin automatically.
 *
 * @version 1.0.0
 * @author  AppThemes
 */

( function ( $ ) {

	$.fn.appCategoryFields = function() {

		var
			ul   = this,
			cats = ul.find( 'input' ),
			cont = $( '<div class="app-custom-form"></div>' );

		ul.after( cont );

		var getForm = function() {
			var
				matches = [],
				checked = ul.find( 'input:checked' ),
				name    = cats.attr('name');

			checked.each( function() {
				matches.push( $( this ).val() );
			} );

			var data = {
				action: 'app-render-' + name + '-form',
				cats: matches,
				listing_id: $( 'input[name="ID"]' ).val()
			};

			$.post( AppThemes.ajaxurl, data, function( response ) {
				cont.html( response );
			} );
		};

		cats.change( function() { getForm(); } );

		if ( ul.find( 'input:checked' ).length > 0 ) {
			getForm();
		}

		return this;
	};

}( jQuery ) );

jQuery(document).ready(function($) {
	$( '.app-category-fields' ).appCategoryFields();
});
