<?php
/**
 * Hold deprecated functions and hooks
 *
 * @package Vantage
 * @since 1.2.0
 */


/**
 * Was checking if multi categories selection is enabled.
 *
 * @deprecated 1.2
 */
function va_multi_cat_enabled() {
	_deprecated_function( __FUNCTION__, '1.2' );
	return false;
}

/**
 * Get the author reviews url.
 *
 * @deprecated 1.2
 */
function va_get_the_author_reviews_url( $user_id = '' , $self = false ) {
	_deprecated_function( __FUNCTION__, '1.2', 'va_dashboard_url()' );
	return va_dashboard_url( 'reviews', $user_id, $self );
}

/**
 * Get the author favorites url.
 *
 * @deprecated 1.2
 */
function va_get_the_author_faves_url( $user_id = '' , $self = false ) {
	_deprecated_function( __FUNCTION__, '1.2', 'va_dashboard_url()' );
	return va_dashboard_url( 'favorites', $user_id, $self );
}

/**
 * Get the author listings url.
 *
 * @deprecated 1.2
 */
function va_get_the_author_listings_url( $user_id = '' , $self = false ) {
	_deprecated_function( __FUNCTION__, '1.2', 'va_dashboard_url()' );
	return va_dashboard_url( 'listings', $user_id, $self );
}

/**
 * Get the claimed listings url.
 *
 * @deprecated 1.2
 */
function va_get_claimed_listings_url() {
	_deprecated_function( __FUNCTION__, '1.2', 'va_dashboard_url()' );
	return va_dashboard_url( 'claimed-listings', '', true );
}

/**
 * Displays listing categories.
 *
 * @deprecated Use the_listing_categories()
 * @see the_listing_categories()
 *
 * @param int $listing_id (optional)
 *
 * @return void
 */
function the_listing_category( $listing_id = 0 ) {
	_deprecated_function( __FUNCTION__, '1.2', 'the_listing_categories()' );
	the_listing_categories( $listing_id );
}


/**
 * Returns listing categories ids.
 *
 * @deprecated Use get_the_listing_categories()
 * @see get_the_listing_categories()
 *
 * @param int $listing_id (optional)
 *
 * @return array
 */
function get_the_listing_category( $listing_id = 0 ) {
	_deprecated_function( __FUNCTION__, '1.2', 'get_the_listing_categories()' );
	return get_the_listing_categories( $listing_id );
}


/**
 * Queries the database for attachments from custom fields or gallery
 * Uses the meta key '_va_attachment_type' to filter the available attachment types: gallery | file
 *
 * @deprecated Use va_get_post_attachments()
 * @see va_get_post_attachments()
 *
 * @param int  	  $listing_id The post ID
 * @param int     $how_many (optional) The number of attachments to retrieve
 * @param string  $type     (optional) The type of attachment to return (gallery|file)
 * @param string  $fields   (optional) The fields to be returned
 *
 * @return array
 */
function va_get_listing_attachments( $listing_id, $how_many = -1, $type = VA_ATTACHMENT_GALLERY, $fields = '' ) {
	_deprecated_function( __FUNCTION__, '1.2.1', 'va_get_post_attachments()' );
	return va_get_post_attachments( $listing_id, $how_many, $type, $fields );
}


/**
 * Displays the listing files list.
 *
 * @deprecated Use va_the_files_list()
 * @see va_the_files_list()
 *
 * @return void
 */
function the_listing_files() {
	_deprecated_function( __FUNCTION__, '1.2.1', 'va_the_files_list()' );
	va_the_files_list();
}


/**
 * Was used for sending emails with custom template.
 * Removed in favor of common appthemes_send_email() function
 *
 * @deprecated 1.3.3
 */
function va_send_email( $address, $subject, $content ) {
	_deprecated_function( __FUNCTION__, '1.3.3', 'appthemes_send_email()' );
	appthemes_send_email( $address, $subject, $content );
}


/**
 * Was used for displaying site logo, title and description.
 * HTML markup moved to the header.php file to make it more friendly
 * for child-theme developers
 *
 * @deprecated 1.3.3
 */
function va_display_logo() {
	_deprecated_function( __FUNCTION__, '1.3.3' );
	return false;
}

/**
 * Updates post status.
 *
 * @param int    $post_id The post_id.
 * @param string $new_status The new status.
 *
 * @deprecated 1.4.2
 */
function va_update_post_status( $post_id, $new_status ) {
	_deprecated_function( __FUNCTION__, '1.4.2', 'wp_update_post()' );
	wp_update_post( array(
		'ID' => $post_id,
		'post_status' => $new_status,
	) );
}

/**
 * Was called before displaying the wp_editor on textarea fields.
 * Instead use the va_editor() function directly.
 *
 * @param string $content The post content.
 * @param int    $editor_id The editor id.
 * @param array  $settings The editor settings.
 *
 * @deprecated 4.0.0
 */
function va_listing_editor( $content = '', $editor_id = '', $settings = array() ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'va_editor()' );
	va_editor( $content, $editor_id, $settings );
}

/**
 * To refine the listings search results in the sidebar.
 * Instead use va_refine_categories()
 *
 * @deprecated 4.0.0
 */
function the_refine_category_ui() {
	_deprecated_function( __FUNCTION__, '4.0.0', 'va_refine_categories()' );
	va_refine_categories();
}

/**
 * To refine the listings search results in the sidebar.
 * No replacement so pass null.
 *
 * @deprecated 4.0.0
 */
function va_after_admin_bar_login_form() {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * To show the listing custom fields.
 * Instead use get_listing_custom_fields()
 *
 * @deprecated 4.0.0
 */
function the_listing_fields() {
	_deprecated_function( __FUNCTION__, '4.0.0', 'get_listing_custom_fields()' );
	echo get_listing_custom_fields();
}

/**
 * To show the time ago posted.
 * Instead use human_time_diff()
 *
 * @deprecated 4.0.0
 */
function va_string_ago() {
	_deprecated_function( __FUNCTION__, '4.0.0', 'human_time_diff()' );
}

/**
 * Returns truncated text.
 *
 * @param string $string
 * @param int $limit
 * @param string $link
 * @param string $break
 * @param string $pad
 *
 * @deprecated 4.0.0
 */
function va_truncate( $string, $limit, $link, $break = '', $pad = '...' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns sort dropdown list.
 *
 * @param string $post_type (optional)
 * @param string $base_link (optional)
 * @param string $default_current_sort (optional)
 *
 * @return string
 *
 * @deprecated 4.0.0
 */
function va_list_sort_dropdown( $post_type = '', $base_link = '', $default_current_sort = 'default' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Displays listing tags.
 *
 * @param string $before Before tag.
 * @param string $sep Tag separator.
 * @param string $after After tag.
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function the_listing_tags( $before = null, $sep = ', ', $after = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'the_terms()' );
}

/**
 * Returns or echoes the delete button
 *
 * @param int     $listing_id The listing id to search in
 * @param bool    $echo If set to FALSE does not echo the button HTML
 *
 * @return string
 *
 * @deprecated 4.0.0
 */
function va_display_delete_listing_button( $listing_id, $echo = true ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'the_listing_delete_link()' );
}

/**
 * Displays field for refine distance.
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function the_refine_distance_ui() {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Displays navigation menu.
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function va_display_navigation_menu() {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Displays a post info - date, author, and category.
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function va_the_post_byline() {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns author posts link.
 *
 * Taken from http://codex.wordpress.org/Template_Tags/the_author_posts_link.
 * Modified to return the link instead of display it
 *
 * @return string
 *
 * @deprecated 4.0.0
 */
function va_get_author_posts_link() {
	_deprecated_function( __FUNCTION__, '4.0.0', 'get_author_posts_url()' );
}

/**
 * Outputs javascript redirect to listing.
 *
 * @param int $listing_id
 * @param array $query_args (optional)
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function va_js_redirect_to_listing( $listing_id, $query_args = array() ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Outputs javascript redirect to claimed listing.
 *
 * @param int $listing_id
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function va_js_redirect_to_claimed_listing( $listing_id ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns contact post author button.
 *
 * @param int $listing_id (optional)
 *
 * @return string
 *
 * @deprecated 4.0.0
 */
function get_the_contact_listing_owner_button( $listing_id = 0 ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'va_contact_listing_owner()' );
}

/**
 * Displays contact post author button.
 *
 * @param int $listing_id (optional)
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function the_contact_listing_owner_button( $listing_id = 0 ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'va_contact_listing_owner()' );
}

/**
 * Fires before user profile update errors are returned.
 *
 * @since 1.0.0
 *
 * @param WP_Error $errors WP_Error object, passed by reference.
 * @param bool     $update  Whether this is a user update.
 * @param WP_User  $user   WP_User object, passed by reference.
 *
 * @deprecated 4.0.0
 */
function va_user_update_profile( $errors, $update, $user ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns search query var.
 *
 * @param string $qv Search query variable.
 *
 * @return string
 *
 * @deprecated 4.0.0
 */
function va_get_search_query_var( $qv ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns the edit listing map.
 *
 * @return string
 *
 * @deprecated 4.0.0
 */
function va_edit_listing_map( $listing_id = '', $map_div_id = 'listing-map', $zoom = 13, $dragend_cb = 'va_listing_map_dragend' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Look up geo data and return from Google.
 *
 * @return array
 *
 * @deprecated 4.0.0
 */
function va_geocode_api( $args = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns blog page title.
 *
 * @return string
 *
 * @deprecated 4.0.0
 */
function get_blog_page_title() {
	_deprecated_function( __FUNCTION__, '4.0.0', 'get_the_title()' );
}

/**
 * Returns attributes with post geo coordinates.
 *
 * @param int $post_id (optional)
 *
 * @return string
 *
 * @deprecated 4.0.0
 */
function va_post_coords_attr( $post_id = 0 ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns post geo coordinates.
 *
 * @param int $post_id (optional)
 *
 * @return object
 *
 * @deprecated 4.0.0
 */
function va_post_coords( $post_id = 0 ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 *
 * @param array $geo_query
 *
 * @deprecated 4.0.0
 */
function va_geo_query( $geo_query ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns value rounded to nearest.
 *
 * @param int $num
 * @param int $nearest (optional)
 * @param int $min (optional)
 *
 * @return float
 *
 * @deprecated 4.0.0
 */
function va_round_to_nearest( $num, $nearest = 5, $min = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns the radius slider controls.
 *
 * @param int $current_radius
 *
 * @deprecated 4.0.0
 */
function va_calc_radius_slider_controls( $current_radius ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Fetches geo coords of a listing (if they exist)
 * or it tries to geo code based on existing address field.
 *
 * @param int $listing_id
 *
 * @deprecated 4.0.0
 */
function va_geocode_address( $listing_id ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'APP_Google_Geocoding::insert_geo_data()' );
}

/**
 * Tries to geo code an address.
 *
 * @param string $address
 *
 * @deprecated 4.0.0
 */
function va_geocode_address_api( $address ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'APP_Google_Geocoding::insert_geo_data()' );
}

/**
 * Return lat and lng fields.
 *
 * @param float $lat
 * @param float $lng
 *
 * @deprecated 4.0.0
 */
function va_geocode_lat_lng_api( $lat, $lng ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Return lat and lng fields.
 *
 * @param float $lat
 * @param float $lng
 *
 * @deprecated 4.0.0
 */
function appthemes_geocode_lat_lng( $lat, $lng ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Checks transient and flush the rewrite rules.
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function va_check_rewrite_rules_transient() {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Wrapper function for registering sidebars.
 *
 * @param string $id ID.
 * @param string $name Widget name.
 * @param string $description (optional).
 *
 * @return void
 *
 * @deprecated 4.0.0
 */
function va_register_sidebar( $id, $name, $description = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'register_sidebar()' );
}

/**
 * Creates a unique id for the event or listing.
 *
 * @param int $post_id The post ID.
 *
 * @deprecated 4.0.0
 */
function va_add_unique_id( $post_id ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Check if post type is for home.
 *
 * @param string $post_type The post type.
 *
 * @deprecated 4.0.0
 */
function va_is_post_type_home( $post_type = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Displays the sidebar user listing stats.
 *
 * @param object $user The user object.
 *
 * @deprecated 4.0.0
 */
function va_dashboard_get_user_stats( $user ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns the total count of listing types for a user.
 *
 * @param int    $user_id The user ID.
 * @param string The post status.
 * @param string The post type.
 *
 * @deprecated 4.0.0
 */
function va_count_user_posts( $user_id, $status, $post_type ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Show certain account info.
 *
 * @param int  $user_id The user ID.
 * @param bool $self    Either true or false
 *
 * @deprecated 4.0.0
 */
function va_dashboard_show_account_info( $user, $self = false ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Get the reviews for the dashboard.
 *
 * @param int  $user_id The user ID.
 * @param bool $self    Either true or false
 *
 * @deprecated 4.0.0
 */
function va_get_dashboard_reviews( $user_id, $self = false ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Get the reviews total count.
 *
 * @param int  $user_id The user ID.
 * @param bool $self    Either true or false
 *
 * @deprecated 4.0.0
 */
function va_get_dashboard_reviews_count( $user_id, $self = false ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Echo the author reviews link.
 *
 * @param int  $user_id The user ID.
 *
 * @deprecated 4.0.0
 */
function va_the_author_reviews_link( $user_id = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Get the author reviews link.
 *
 * @param int  $user_id The user ID.
 * @param bool $self    true or false
 *
 * @deprecated 4.0.0
 */
function va_get_the_author_reviews_link( $user_id = '', $self = false ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Get the edit review link.
 *
 * @param int $review_id The review ID.
 *
 * @deprecated 4.0.0
 */
function va_get_edit_review_url( $review_id ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Displays reviews count.
 *
 * @param int $listing_id (optional).
 *
 * @deprecated 4.0.0
 */
function the_review_count( $listing_id = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Displays listing star rating.
 *
 * @param int $post_id (optional)
 *
 * @deprecated 4.0.0
 */
function the_listing_star_rating( $post_id = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Displays the listing categories.
 *
 * @param array $args
 * @param array $terms_args
 *
 * @deprecated 4.0.0
 */
function va_categories_list( $args, $terms_args = array() ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'va_cat_menu_drop_down()' );
}

/**
 * Displays listing image gallery.
 *
 * @deprecated 4.0.0
 */
function the_listing_image_gallery() {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Returns attachment link.
 *
 * @param int $att_id
 * @param string $size (optional)
 *
 * @deprecated 4.0.0
 */
function va_get_attachment_link( $att_id, $size = 'thumbnail' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', null );
}

/**
 * Displays term description with content filters applied.
 *
 * @since 1.0.0
 *
 * @param string $before Optional. Content to prepend to the description. Default empty.
 * @param string $after  Optional. Content to append to the description. Default empty.
 *
 * @deprecated 4.0.0
 */
function va_the_archive_description( $before = '', $after = '' ) {
	_deprecated_function( __FUNCTION__, '4.0.0', 'the_archive_description()' );
}


/**
 * Deprecated action and filter hooks
 *
 * $old_hook, $new_hook, $version, $hook_type, $args
 */
appthemes_deprecate_hook( 'va_email_admin_transaction_failed', 'appthemes_notify_admin_failed_transaction', '3.1', 'filter' );
appthemes_deprecate_hook( 'va_listing_editor_settings', 'va_editor_settings', '4.0.0', 'filter' );
appthemes_deprecate_hook( 'va_sidebar_refine_category_ui', 'va_refine_categories', '4.0.0', 'filter' );
appthemes_deprecate_hook( 'va_after_admin_bar_login_form', '', '4.0.0', 'action' );
appthemes_deprecate_hook( 'va_dashboard_stats', '', '4.0.0', 'filter' );
