<?php
/**
 * Featured listings functions.
 *
 * @todo Convert to a class.
 *
 * @package Vantage\Featured
 * @author AppThemes
 * @since 1.0.0
 */

/**
 * Figure out if the listing should be featured or not.
 *
 * @since 1.0.0
 *
 * @return bool True if it should be featured, otherwise false.
 */
function va_is_listing_featured() {
	global $post;

	if ( is_front_page() ) {
		$addons = array( VA_ITEM_FEATURED_HOME );
	} elseif ( is_tax() || is_archive() ) {
		$addons = array( VA_ITEM_FEATURED_CAT );
	} else {
		$addons = array( VA_ITEM_FEATURED_HOME, VA_ITEM_FEATURED_CAT );
	}

	foreach ( $addons as $addon_type ) {

		$addon = appthemes_get_addon_info( $addon_type );
		$featured = get_post_meta( $post->ID, $addon['flag_key'], true );

		if ( ! empty( $featured ) ) {
			return true;
		}
	}
	return false;
}

function va_get_addon_types( $ptype ) {
	global $vantage;

	if ( property_exists( $vantage, $ptype ) && $vantage->$ptype->addons ) {
		return $vantage->$ptype->addons->get_addons_types();
	}
}

/**
 * Inserts the featured label in the single listing item head.
 *
 * @since 4.0.0
 *
 * @return string
 */
function va_add_listing_item_featured() {

	// Only show on archive pages.
	// Category, Author, Listing Post Types, Listing Search, etc.
	if ( ! is_archive() ) {
		return;
	}

	if ( false == va_is_listing_featured() ) {
		return;
	}

	echo '<span class="featured-label warning label">' . __( 'Featured', APP_TD ) . '</span>';
}
add_action( 'va_listing_item_head', 'va_add_listing_item_featured', 9 );
