<?php
/**
 * Media image related functions.
 *
 * @package Vantage
 * @since 1.0.0
 */

/**
 * Returns thumbnail for the listing in wp-admin.
 *
 * @todo Potentially deprecate or refactor.
 *
 * @since 3.0.0
 *
 * @param int $post_id The post id.
 * @return string
 */
function get_the_listing_thumbnail( $post_id ) {

	if ( ! $featured_id = get_post_thumbnail_id( $post_id ) ) {

		if ( ! $attachments = va_get_post_attachments( $post_id, 1 ) ) {
			return;
		}

		$featured_id = $attachments[0]->ID;
	}

	return wp_get_attachment_image( $featured_id, 'thumbnail' );
}

/**
 * Get the placeholder image URL for categories etc.
 *
 * @since 4.0.0
 *
 * @return string
 */
function va_placeholder_img_src() {
	/**
	 * Filters the default placeholder image.
	 *
	 * @since 4.0.0
	 *
	 * @param string The placeholder image url.
	 */
	return apply_filters( 'va_placeholder_img_src', get_template_directory_uri() . '/assets/images/placeholder.png' );
}
