<?php

function _va_get_order_listing_info( $order ) {

	$plans = new WP_Query( array( 'post_type' => APPTHEMES_PRICE_PLAN_PTYPE, 'nopaging' => 1, 'post_status' => 'any' ) );
	foreach ( $plans->posts as $key => $plan ) {
		if ( empty( $plan->post_name ) ) {
			continue;
		}

		$plan_slug = $plan->post_name;

		$items = $order->get_items( $plan_slug );
		if ( $items ) {
			$plan_data = va_get_plan_options( $plan->ID );
			return array(
				'listing_id' => $items[0]['post_id'],
				'listing' => $items[0]['post'],
				'plan' => $plan,
				'plan_data' => $plan_data
			);
		}
	}

	return false;
}

function _va_get_pending_recurring_listing_order( $listing_id ) {
	$order = _va_get_recurring_listing_order( $listing_id );
	return ( false === $order || $order->get_status() == APPTHEMES_ORDER_FAILED ) ? false : $order;
}

function _va_get_recurring_listing_order( $listing_id ) {
	$connected = new WP_Query( array(
		'connected_type' => APPTHEMES_ORDER_CONNECTION,
		'connected_to' => $listing_id,
		'post_status' => array( APPTHEMES_ORDER_PENDING, APPTHEMES_ORDER_COMPLETED, APPTHEMES_ORDER_FAILED ),
		'nopaging' => true
	) );

	if ( ! isset( $connected->post ) ) {
		return false;
	} else {
		$order = appthemes_get_order( $connected->post->ID );
		if ( $order->is_recurring() ) {
			return $order;
		} else {
			return false;
		}
	}

}

function _va_is_recurring_order( $order ) {
	return $order->is_recurring();
}
