<?php
/**
 * Listing purchase functions
 *
 * @package Vantage/Listings
 * @author AppThemes
 * @since 1.0.0
 */

function va_get_plan_options( $plan_id ) {

	$data           = get_post_custom( $plan_id );
	$collapsed_data = array();

	foreach ( $data as $key => $array ) {
		$collapsed_data[ $key ] = $array[0];
	}

	$collapsed_data['ID'] = $plan_id;

	// In case that new addon meta is not stored yet.
	foreach ( va_get_addon_types( VA_LISTING_PTYPE ) as $addon ) {
		if ( ! empty( $collapsed_data[ $addon ] ) ) {
			if ( ! isset( $collapsed_data[ $addon . '_period'  ] ) ) {
				$collapsed_data[ $addon . '_period'  ] = $collapsed_data[ $addon . '_duration' ];
			}
			if ( ! isset( $collapsed_data[ $addon . '_period_type'  ] ) ) {
				$collapsed_data[ $addon . '_period_type'  ] = APP_Order::RECUR_PERIOD_TYPE_DAYS;
			}
		}
	}

	return $collapsed_data;
}

function va_get_recurring_order_next_payment_date( $listing_id = 0 ) {
	global $va_locale;

	$listing_id = $listing_id ? $listing_id : get_the_ID();

	$recurring_order = _va_get_pending_recurring_listing_order( $listing_id );

	if ( ! $recurring_order ) {
		return;
	}

	return $va_locale->date( get_option( 'date_format' ), strtotime( get_post( $recurring_order->get_id() )->post_date ) );
}
