<?php

add_action( 'after_setup_theme', 'va_setup_payment_transition_hook', 1000 );

function va_get_all_orders_in_subscription( $order ) {
	 if ( !$order->is_recurring() )
	 	return;

	$orders = array();

	$parent_order_id = $order->get_id();
	for( ;; ) {
		$this_order = new WP_Query( array(
			'post_type' => APPTHEMES_ORDER_PTYPE,
			'nopaging' => true,
			'post__in' => array($parent_order_id)
		) );

		$orders[$this_order->post->ID] = $this_order->post;

		$previous_order = new WP_Query( array(
			'post_type' => APPTHEMES_ORDER_PTYPE,
			'nopaging' => true,
			'post__in' => array($this_order->post->post_parent)
		) );

		$orders[$previous_order->post->ID] = $previous_order->post;
		if ( $previous_order->post->post_parent != 0 ) {

			$parent_order_id = $previous_order->post->ID;
		} else {
			break;
		}
	}
	return $orders;
}

function va_setup_payment_transition_hook() {
	add_action( APPTHEMES_ORDER_PENDING . '_to_' . APPTHEMES_ORDER_FAILED, '_va_handle_failed_recurring_order' );
}

function _va_handle_failed_recurring_order( $post ) {

	$order = appthemes_get_order( $post->ID );

	if( !_va_is_recurring_order( $order ) )
		return;

	$orders = va_get_all_orders_in_subscription( $order );

	if ( count( $orders) <= 1 )
		return;

	$order_info = _va_get_order_listing_info( $order );

	$listing_id = $order_info['listing']->ID;

	va_send_expired_subscription_expired_notification( get_post( $listing_id ) );
}
