<?php
/**
 * Listing Settings submodule
 *
 * @package Vantage\Admin\Settings
 * @author  AppThemes
 * @since   4.0.0
 */

/**
 * Listing Settings class
 *
 * Requires theme supports:
 *	- app-framework
 *  - app-dashboard
 */
class VA_Business_Listing_Settings extends APP_Listing_Settings {

	/**
	 * Registers Listing settings.
	 *
	 * More exact deregisters some settings that from some point considered as
	 * useless.
	 *
	 * @see https://github.com/AppThemes/Vantage/issues/1685
	 *
	 * @param APP_Tabs_Page $page Current settings page object.
	 */
	public function register( $page ) {

		parent::register( $page );

		$type = $this->listing->get_type();

		// With a hope that we'll finally return them back.
		$page->tabs->remove( 'notifications' );
		unset( $page->tab_sections[ $type ]['templates'] );
	}
}
