<?php
/**
 * Listing New submodule
 *
 * @package Vantage\Views\Processes
 * @author  AppThemes
 * @since   4.0.0
 */

/**
 * New Listing processing class
 *
 * Requires theme supports:
 *	- app-framework
 *  - app-checkout
 */
class VA_View_Process_New extends APP_View_Process_New {

	/**
	 * Enqueues scripts
	 */
	public function enqueue_scripts() {

		parent::enqueue_scripts();

		wp_enqueue_script(
			// Some modules depends on this handle. Be careful when change this
			// or remove. The better way is move it to Listing module.
			'app-listing-validate',
			VA_LISTINGS_URI . '/scripts/app.listing.validate.js',
			array( 'validate-lang', 'jquery-ui-sortable' ),
			VA_VERSION,
			true
		);

		wp_localize_script(
			'app-listing-validate',
			'VA_i18n',
			array(
				'category_limit' => __( 'You have exceeded the category selection quantity limit ({0}).', APP_TD ),
			)
		);
	}
}
