<?php
/**
 * Listing Renew submodule
 *
 * @package Vantage\Views\Processes
 * @author  AppThemes
 * @since   4.0.0
 */

/**
 * Renew Listing processing class.
 *
 * Renew process intended to re-publish expired listings.
 *
 * This looks like a mix of New and Edit processes, since it repeats all "New"
 * process steps, but uses existing listing ID as well as "Edit" process.
 *
 * Expired listings shouldn't be editable by users, so Renew submodule filters
 * "edit_post_link()" and replaces standard link with process-related.
 *
 * Requires theme supports:
 *	- app-framework
 *  - app-checkout
 */
class VA_View_Process_Renew extends APP_View_Process_Renew {

	/**
	 * Enqueues scripts
	 */
	public function enqueue_scripts() {
		parent::enqueue_scripts();

		wp_enqueue_script(
			'app-listing-validate',
			VA_LISTINGS_URI . '/scripts/app.listing.validate.js',
			array( 'validate-lang', 'jquery-ui-sortable' ),
			VA_VERSION,
			true
		);

		wp_localize_script(
			'app-listing-validate',
			'VA_i18n',
			array(
				'category_limit' => __( 'You have exceeded the category selection quantity limit ({0}).', APP_TD ),
			)
		);
	}

}
