<?php
/**
 * Default theme option values.
 *
 * This is a whitelist of values that need to be entered
 * if you plan on creating and saving any admin tabs/fields.
 *
 * Note: once added below, the global cache needs to refresh before it will work.
 *
 * @package Vantage
 * @since   1.0.0
 */

// Auto-detect the locale based off WPLANG and set it.
$set_locale = get_locale() ? substr( get_locale(), 0, 2 ) : 'en';

$va_global_option_values = array(

	/**
	 * New map tab since Geo module is deprecated.
	 *
	 * @since 4.0.0
	 */
	'google_maps_region'       => 'us',
	'google_maps_language'     => $set_locale,
	'google_maps_unit'         => 'mi',
	'google_maps_api_key'      => '',
	'google_color_scheme'      => 'cream',
	'google_maps_marker_color' => '#565656',

	// Currency Settings.
	'currency_code'             => 'USD',
	'currency_identifier'       => 'symbol',
	'currency_position'         => 'left',
	'thousands_separator'       => ',',
	'decimal_separator'         => '.',
	'tax_charge'                => 0,

	// Security Settings.
	'wp_login'                  => false,

	// Listings.
	'listings_per_page'         => 10,

	// Search.
	'default_radius'            => '',

	// Events. Leave for future migration.
	'events_enabled'                       => false,

	'default_event_geo_search_sort'        => 'distance',
	'default_event_search_sort'            => 'event_date',
	'default_event_radius'                 => '',

	'event_charge'                         => 'no',
	'event_price'                          => 0,
	'event_featured-home_enabled'          => true,
	'event_featured-home_price'            => 0,
	'event_featured-cat_enabled'           => true,
	'event_featured-cat_price'             => 0,
	'event_included_categories'            => 0,
	'event_expiration'                     => 30,

	'moderate_events'                      => 'no',

	'events_per_page'                      => 10,
	'default_event_sort'                   => 'default',
	'default_event_home_sort'              => 'default',
	'events_featured_sort'                 => 'random',

	'editor_event'                         => 'default',

	// Permalinks.
	'listing_permalink'                    => 'listings',
	'listing_cat_permalink'                => 'category',
	'listing_tag_permalink'                => 'tag',
	'dashboard_permalink'                  => 'user',
	'dashboard_listings_permalink'         => 'listings',
	'dashboard_claimed_permalink'          => 'claimed',
	'dashboard_faves_permalink'            => 'favorites',

	// Events permalinks. Leave for future migration.
	'event_permalink'                      => 'events',

	'edit_event_permalink'                 => 'edit',
	'purchase_event_permalink'             => 'purchase',

	'event_cat_permalink'                  => 'category',
	'event_tag_permalink'                  => 'tag',
	'event_day_permalink'                  => 'day',

	'dashboard_events_permalink'           => 'events',
	'dashboard_event_comments_permalink'   => 'comments',
	'dashboard_event_favorites_permalink'  => 'event-favorites',
	'dashboard_events_attending_permalink' => 'attending',


	// Payment gateways.
	'gateways' => array(
		'enabled' => array(),
	),

	// Upgrade Checks.
	'page_template_updates_1_2'            => false,
	'default_user_role_update_1_3_2'       => false,
);

/**
 * Filter the global option values.
 *
 * @since 4.0.0
 */
$GLOBALS['va_options'] = new scbOptions( 'va_options', false, apply_filters( 'va_global_option_values', $va_global_option_values ) );
