<?php
/**
 * Setup the sidebars.
 *
 * @package Vantage
 * @since   4.0.0
 */

if ( ! function_exists( 'va_register_sidebars' ) ) :
/**
 * Register sidebar widget area.
 *
 * @since 4.0.0
 */
function va_register_sidebars() {

	register_sidebar( array(
		'name'          => __( 'Blog - Sidebar', APP_TD ),
		'id'            => 'va-blog-sidebar',
		'description'   => __( 'This is your blog sidebar.', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
			'name'          => __( 'Single Listing - Main Content', APP_TD ),
			'id'            => 'va-single-listing-main-content-sidebar',
			'description'   => __( 'The single listing main content area.', APP_TD ),
			'before_widget' => '<section id="%1$s" class="widget widget-listing %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h1 class="widget-title widget-title-listing %s">',
			'after_title'   => '</h1>',
	) );

	register_sidebar( array(
		'name'          => __( 'Homepage', APP_TD ),
		'description'   => __( 'The homepage main content area.', APP_TD ),
		'id'            => 'va-home-main-content-sidebar',
		'before_widget' => '<section id="%1$s" class="home-widget section %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="home-widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Single Listing - Sidebar', APP_TD ),
		'id'            => 'va-single-listing-sidebar',
		'description'   => __( 'The single listing page sidebar.', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page - Sidebar', APP_TD ),
		'id'            => 'va-page-sidebar',
		'description'   => __( 'This is your page sidebar.', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Area One', APP_TD ),
		'id'            => 'va-footer-sidebar-1',
		'description'   => __( 'An optional widget area for your site footer', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget-footer %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Area Two', APP_TD ),
		'id'            => 'va-footer-sidebar-2',
		'description'   => __( 'An optional widget area for your site footer', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget-footer %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Area Three', APP_TD ),
		'id'            => 'va-footer-sidebar-3',
		'description'   => __( 'An optional widget area for your site footer', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget-footer %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Area Four', APP_TD ),
		'id'            => 'va-footer-sidebar-4',
		'description'   => __( 'An optional widget area for your site footer', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget-footer %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Search Listing - Sidebar', APP_TD ),
		'id'            => 'va-archive-listing-sidebar',
		'description'   => __( 'The search listing page sidebar.', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'User - Sidebar', APP_TD ),
		'id'            => 'va-user-sidebar',
		'description'   => __( 'This is your user area sidebar.', APP_TD ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

}
endif;
add_action( 'widgets_init', 'va_register_sidebars' );
