<?php
/**
 * Schema.org structured data WebSite type classes.
 *
 * @package Components\StructuredData
 * @author AppThemes
 * @since 1.0.0
 */

/**
 * Generates the WebSite type schema json-ld.
 *
 * @since 1.0.0
 */
class APP_Schema_Type_Website {

	/**
	 * Generates the WebSite schema type json-ld code.
	 *
	 * @link  https://schema.org/WebSite
	 *
	 * @since 1.0.0
	 */
	public static function type() {

		$search_url = apply_filters( 'appthemes_schema_search_url', get_home_url() . '?s={search_term_string}' );

		$output = array(
			'@context'        => 'http://schema.org',
			'@type'           => 'WebSite',
			'name'            => esc_html( get_bloginfo( 'name' ) ),
			'url'             => get_home_url(),
			'potentialAction' => APP_Schema_Type_SearchAction::type(),
		);

		/**
		 * Filters the WebSite type schema properties.
		 *
		 * @since 1.0.0
		 *
		 * @param array $output List of WebSite type schema properties.
		 */
		return apply_filters( 'appthemes_schema_type_website', $output );
	}
}
