<?php
/**
 * Login page classes.
 *
 * @package Vantage\Views
 * @author AppThemes
 * @since 4.0.0
 */

/**
 * Redirects from AppThemes created login pages to
 * appropriate standard ones if option wp_login = true.
 *
 * @since 1.0.0
 */
 class VA_Login_Redirect_View extends APP_View {

 	protected $page_template;

 	function condition() {
 		global $va_options;

 		if ( ! is_page() || current_theme_supports( 'app-login' ) || ! $va_options->wp_login ) {
 			return false;
 		}

 		$this->page_template = get_page_template_slug( get_queried_object_id() );

 		return (bool) $this->page_template && in_array( $this->page_template, array(
 			'form-login.php',
 			'form-registration.php',
 			'form-password-recovery.php',
 			'form-password-reset.php'
 		) );
 	}

 	function template_redirect() {
 		switch ( $this->page_template ) {
 			case 'form-login.php':
 				wp_redirect( appthemes_get_login_url() );
 				break;
 			case 'form-registration.php':
 				wp_redirect( appthemes_get_registration_url() );
 				break;
 			case 'form-password-recovery.php':
 				wp_redirect( appthemes_get_password_recovery_url() );
 				break;
 			case 'form-password-reset.php':
 				wp_redirect( appthemes_get_password_reset_url() );
 				break;
 		}
 		exit();
 	}

 }
