<?php
/**
 * Single listings page classes.
 *
 * @package Vantage\Views
 * @author AppThemes
 * @since 4.0.0
 */

/**
 * Logic for the single listings page.
 *
 * @since 4.0.0
 */
class VA_Listing_Single_View extends APP_View {

	function condition() {
		return is_singular( VA_LISTING_PTYPE );
	}

	function template_redirect() {}

	// Show parent categories instead of listing archive
	function breadcrumbs( $trail ) {
		$cat = get_the_listing_categories( get_queried_object_id() );

		if ( ! $cat ) {
			return $trail;
		}

		$cat = reset( $cat );
		$cat = (int) $cat->term_id;
		$chain = array_reverse( get_ancestors( $cat, VA_LISTING_CATEGORY ) );
		$chain[] = $cat;

		$new_trail = array( $trail[0], $trail[1] );

		foreach ( $chain as $cat ) {
			$cat_obj = get_term( $cat, VA_LISTING_CATEGORY );
			$new_trail[] = html_link( get_term_link( $cat_obj ), $cat_obj->name );
		}

		$new_trail[] = array_pop( $trail );

		return $new_trail;
	}

	function notices() {
		$status = get_post_status( get_queried_object() );

		if ( isset( $_GET['completed'] ) ) {
			if ( $status == 'pending' ) {
				appthemes_display_notice( 'success-pending', __( 'Your order has been successfully processed. It is currently pending and must be approved by an administrator.', APP_TD ) );
			} else {
				appthemes_display_notice( 'success', __( 'Your order has been successfully completed.', APP_TD ) );
			}
		} elseif ( isset( $_GET['updated'] ) ) {
			appthemes_display_notice( 'success', __( 'The listing has been successfully updated.', APP_TD ) );
		} elseif ( $status == 'pending' ) {
			appthemes_display_notice( 'success-pending', __( 'This listing is currently pending and must be approved by an administrator.', APP_TD ) );
		} elseif ( $status == 'draft' ) {
			appthemes_display_notice( 'success-pending', __( 'This listing is currently awaiting payment and/or payment processing.', APP_TD ) );
		} elseif ( $status == 'expired' ) {
			appthemes_display_notice( 'success-pending', __( 'This listing is expired.', APP_TD ) );
		}
	}
}
