<?php
/**
 * Widget for listing author content.
 *
 * @package Vantage\Widgets
 * @author AppThemes
 * @since 4.0.0
 */

/**
 * Listing author widget class.
 */
class VA_Widget_Listing_Author extends VA_Widget {

	/**
	 * Constructor
	 *
	 * @param array $args Predefined widget arguments.
	 */
	public function __construct( $args = array() ) {

		$default_args = array(
			'id_base'         => 'va_widget_listing_author',
			'name'            => __( 'Vantage - Single Listing Author', APP_TD ),
			'defaults'        => array(
				'headline'  => __( 'Listing Owner', APP_TD ),
				'biography' => 1,
			),
			'widget_ops'      => array(
				'description' => __( 'Display the listing author.', APP_TD ),
			),
			'control_options' => array(),
		);

		$args = $this->_array_merge_recursive( $default_args, $args );

		parent::__construct( $args['id_base'], $args['name'], $args['widget_ops'], $args['control_options'], $args['defaults'] );
	}

	/**
	 * Retrieves form fields in scbForm format.
	 *
	 * @return array Form fields.
	 */
	protected function form_fields() {
		return array(
			array(
				'type' => 'text',
				'name' => 'headline',
				'desc' => __( 'Headline:', APP_TD ),
			),
			array(
				'type' => 'checkbox',
				'name' => 'biography',
				'desc' => __( 'Show biographical info', APP_TD ),
			),
		);
	}

	/**
	 * This is where the actual widget content goes.
	 *
	 * @param array $instance The settings for the particular instance of the
	 * widget.
	 */
	public function content( $instance ) {
		global $wp_query;

		// Safely set query var.
		$wp_query->set( 'instance', $instance );
		appthemes_get_template_part( 'parts/widget', 'listing-author' );
	}
}
