<?php
/**
 * Widget for listing main content.
 *
 * @package Vantage\Widgets
 * @author AppThemes
 * @since 4.0.0
 */

/**
 * Listing content widget class.
 */
class VA_Widget_Listing_Content extends VA_Widget {

	/**
	 * Constructor
	 *
	 * @param array $args Predefined widget arguments.
	 */
	public function __construct( $args = array() ) {
		$default_args = array(
			'id_base'        => 'va_widget_listing_content',
			'name'           => __( 'Vantage - Single Listing Description', APP_TD ),
			'defaults'       => array(
				'title' => '',
			),
			'widget_ops'     => array(
				'description' => __( 'Display the listing description.', APP_TD ),
			),
			'control_options' => array(),
		);

		$args = $this->_array_merge_recursive( $default_args, $args );

		parent::__construct( $args['id_base'], $args['name'], $args['widget_ops'], $args['control_options'], $args['defaults'] );
	}

	/**
	 * This is where the actual widget content goes.
	 *
	 * @param array $instance The settings for the particular instance of the
	 * widget.
	 */
	public function content( $instance ) {
		the_content();
		?>
		<footer class="entry-footer">

			<p class="post-tags">
				<?php echo get_the_term_list( get_the_ID(), VA_LISTING_TAG, '<i class="fa fa-tags" aria-hidden="true"></i> <span class="label">', '</span> <span class="label">', '</span>' ); ?>
			</p>

			<?php

			/**
			 * Fires in the single page footer.
			 *
			 * @since 4.0.0
			 */
			do_action( 'va_single_template_footer' );
			?>

		</footer>
		<?php
	}
}
