<?php
/**
 * Widget for listing refine search sidebar.
 *
 * @package Vantage\Widgets
 * @author AppThemes
 * @since 4.0.0
 */

/**
 * Listing refine search widget class.
 */
class VA_Widget_Listing_Refine_Search extends VA_Widget {

	/**
	 * Constructor
	 *
	 * @param array $args Predefined widget arguments.
	 */
	public function __construct( $args = array() ) {
		$default_args = array(
			'id_base'        => 'va_widget_listing_refine_search',
			'name'           => __( 'Vantage - Listing Refine Search', APP_TD ),
			'defaults'       => array(
				'title' => '',
			),
			'widget_ops'     => array(
				'description' => __( 'Display the listing refine search.', APP_TD ),
			),
			'control_options' => array(),
		);

		$args = $this->_array_merge_recursive( $default_args, $args );

		parent::__construct( $args['id_base'], $args['name'], $args['widget_ops'], $args['control_options'], $args['defaults'] );
	}

	/**
	 * This is where the actual widget content goes.
	 *
	 * @param array $instance The settings for the particular instance of the
	 *                         widget.
	 */
	public function content( $instance ) {
		appthemes_get_template_part( 'parts/widget', 'listing-refine-search' );
	}
}
