<?php
/**
 * Widget for single listing image gallery.
 *
 * @todo Not active for 4.0.0. Remove orbit slider and replace with other.
 *
 * @package Vantage\Widgets
 * @author AppThemes
 * @since 4.0.0
 */

/**
 * Listing gallery widget class.
 */
class VA_Widget_Listing_Slider_Gallery extends VA_Widget {

	/**
	 * Constructor
	 *
	 * @param array $args Predefined widget arguments.
	 */
	public function __construct( $args = array() ) {
		$default_args = array(
			'id_base'         => 'va_widget_listing_slider_gallery',
			'name'            => __( 'Vantage - Single Listing Photo Gallery', APP_TD ),
			'defaults'        => array(
				'title' => __( 'Photo Gallery', APP_TD ),
				'limit' => 8,
			),
			'widget_ops'      => array(
				'description' => __( 'Display the listing photo gallery.', APP_TD ),
			),
			'control_options' => array(),
		);

		$args = $this->_array_merge_recursive( $default_args, $args );

		parent::__construct( $args['id_base'], $args['name'], $args['widget_ops'], $args['control_options'], $args['defaults'] );
	}

	/**
	 * Retrieves form fields in scbForm format.
	 *
	 * @return array Form fields array.
	 */
	protected function form_fields() {
		return array(
			array(
				'type' => 'text',
				'name' => 'title',
				'desc' => __( 'Title:', APP_TD ),
			),
			array(
				'type'  => 'number',
				'name'  => 'limit',
				'desc'  => __( 'Number to show:', APP_TD ),
				'extra' => array(
					'class' => 'widefat',
					'min'   => 1,
					'max'   => 100,
					'step'  => 1,
				),
			),
		);
	}

	/**
	 * This is where the actual widget content goes.
	 *
	 * @param array $instance The settings for the particular instance of the
	 * widget.
	 */
	public function content( $instance ) {
		global $wp_query;

		// Safely set query var.
		$wp_query->set( 'instance', $instance );
		appthemes_get_template_part( 'parts/content', 'listing-single-gallery-slider' );
	}
}
