<?php
/**
 * The blog posts main page and fallback catch all template.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Vantage
 * @since 1.0.0
 */

?>

<?php if ( is_home() ) : ?>

	<section <?php echo apply_filters( 'va_background_cover', 'page-cover entry-cover text-center', array( 'size' => 'full' ) ); ?>>

		<div class="hero-blog-wrap row">

			<div class="column">

				<header class="entry-header">

					<h1 class="page-title cover-wrapper"><?php echo get_option( 'page_for_posts' ) ? get_the_title( get_option( 'page_for_posts' ) ) :  _x( 'Blog', 'blog page title', APP_TD ); ?></h1>

					<?php
					/**
					 * Fires after the blog home header.
					 *
					 * @since 4.0.0
					 */
					do_action( 'va_blog_template_header' );
					?>

				</header>

			</div> <!-- .column -->

		</div> <!-- .row -->

	</section>

<?php endif; ?>

<div id="primary" class="content-area row">

	<main id="main" class="site-main small-12 columns" role="main">

		<?php
		if ( have_posts() ) :

			echo '<div class="row entry-wrap small-up-1 medium-up-2 large-up-3">';

			while ( have_posts() ) : the_post();

				echo '<div class="column">';

				get_template_part( 'parts/content', 'post-item' );

				echo '</div> <!-- .column -->';

			endwhile;

			echo '</div> <!-- .row -->';

			va_the_pagination();

		else :

			get_template_part( 'parts/content', 'none' );

		endif;
		?>

	</main>


</div> <!-- #primary -->
