<?php
/**
 * Author page listings content template.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

/**
 * Filters the default Author listing args.
 *
 * @since 4.0.0
 *
 * @param array $args The default arguments.
 */
$args = apply_filters( 'va_author_listing_items_args', array(
	'post_type'           => VA_LISTING_PTYPE,
	'posts_per_page'      => 10,
	'ignore_sticky_posts' => true,
	'author'              => $author->ID,
	'orderby'             => 'rand',
) );

$author_listings = new WP_Query( $args );

if ( ! $author_listings->have_posts() ) {
	return;
}
?>
<script>
jQuery( function( $ ) {
	$( '.items-featured' ).slick( {
		adaptiveHeight: false,
		slidesToShow: 2,
		slidesToScroll: 2,
		responsive: [ {
		breakpoint: 640,
		settings: {
			slidesToShow: 1,
			slidesToScroll: 1
		}
		} ]
	} );
} );
</script>

<div class="row author-listings">

	<div class="columns">

		<h3 class="section-title"><?php _e( 'My Listings', APP_TD ); ?></h3>

		<div class="items-featured">

			<?php while ( $author_listings->have_posts() ) : $author_listings->the_post(); ?>

				<?php get_template_part( 'parts/content', 'listing-item' ); ?>

			<?php endwhile; ?>

		</div> <!-- .items-featured -->

	</div> <!-- .columns -->

</div> <!-- .row -->

<?php wp_reset_query(); ?>
