<?php
/**
 * Custom listing loop content template.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

$featured = va_is_listing_featured() ? 'featured' : '';

// Different layout based on view.
// Pass in anything for the layout query var to use list layout.
$display = ( get_query_var( 'listing_layout' ) || is_archive() || is_post_type_archive( VA_LISTING_PTYPE ) || is_search() || is_tax( array( VA_LISTING_CATEGORY, VA_LISTING_TAG ) ) ) ? array( 'list', 5, 7 ) : array( 'grid', 12, 12 );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'listing-item', 'listing-map-data', 'content-wrap', 'display-' . $display[0], $featured ) ); ?> <?php echo apply_filters( 'va_listing_data_attributes', '', false ); ?> role="article">

	<div class="row">

		<div class="small-12 medium-<?php echo $display[1]; ?> columns">

			<a class="entry-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
				<div <?php echo apply_filters( 'va_background_cover', 'item-cover entry-cover', array( 'size' => 'large' ) ); ?>></div>
			</a>

		</div> <!-- .columns -->

		<div class="small-12 medium-<?php echo $display[2]; ?> columns">

			<div class="content-inner">

				<header class="entry-header">
					<?php
					/**
					 * Fires in the listing item head.
					 *
					 * @since 4.0.0
					 */
					do_action( 'va_listing_item_head' );
					?>
				</header>

				<div class="entry-content subheader">

					<ul class="list-unstyled listing-meta">
						<?php
						/**
						 * Fires in the listing item meta.
						 *
						 * @since 4.0.0
						 */
						do_action( 'va_listing_item_meta' );
						?>
					</ul>

				</div> <!-- .entry-content -->

			</div> <!-- .content-inner -->

		</div> <!-- .columns -->

	</div> <!-- .row -->

</article>
