<?php
/**
 * Single listing photo gallery content template.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

// Pass in a gallery array of IDs otherwise query images attached to the post.
if ( ! empty( $gallery ) ) {
	$extra_args = array(
		'post__in' => $gallery,
	);
} else {
	$extra_args = array(
		'post_parent' => $post->ID,
	);
}

$default_args = array(
	'post_type'      => 'attachment',
	'post_mime_type' => 'image',
	'post_status'    => 'inherit',
	'posts_per_page' => $limit,
);

$args = array_merge( $default_args, $extra_args );

$images = new WP_Query( $args );
?>

<?php if ( $images->have_posts() ) : ?>

	<div class="orbit listing-carousel" role="region" data-orbit data-use-m-u-i="false" data-auto-play="false">
		<ul class="orbit-container">
			<button class="orbit-previous"><span class="show-for-sr"><?php _e( 'Previous Slide', APP_TD ); ?></span>&#9664;&#xFE0E;</button>
			<button class="orbit-next"><span class="show-for-sr"><?php _e( 'Next Slide', APP_TD ); ?></span>&#9654;&#xFE0E;</button>

			<?php
			while ( $images->have_posts() ) : $images->the_post();
				$image_url = wp_get_attachment_image_src( $post->ID, 'full' );
			?>
			<li class="orbit-slide">
				<figure>
					<img src="<?php echo esc_url( $image_url[0] ); ?>" class="orbit-image attachment-large" alt="<?php echo strip_tags( $post->post_excerpt ); ?>" />
				</figure>
			</li>
			<?php endwhile; ?>
		</ul>
	</div>

<?php
else :

	_e( 'No images found.', APP_TD );

endif;

wp_reset_postdata();
