<?php
/**
 * Single listing custom post loop content template.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

?>

<div id="post-<?php the_ID(); ?>" <?php post_class( array( 'content-main' ) ); ?>>

	<section <?php echo apply_filters( 'va_background_cover', 'hero-listing listing-cover text-center', array( 'size' => 'full' ) ); ?>>

		<div class="hero-listing-wrap row text-center">

			<div class="columns">

				<header class="entry-header">

					<?php
					/**
					 * Fires in the listing single page head.
					 *
					 * @since 4.0.0
					 */
					do_action( 'va_listing_single_head' );
					?>

					<div class="entry-actions">
						<?php
						/**
						 * Fires in the listing single page head action block.
						 *
						 * @since 4.0.0
						 */
						do_action( 'va_listing_single_head_actions' );
						?>
					</div><!-- .entry-actions -->

				</header>

			</div> <!-- .columns -->

		</div> <!-- .row -->

		<div class="hero-listing-bar">

			<div class="row">

				<div class="columns">

					<?php
					/**
					 * Fires in the single listing hero footer section.
					 *
					 * @since 4.0.0
					 */
					do_action( 'va_listing_single_bar_actions' );
					?>

				</div> <!-- .columns -->

			</div> <!-- .row -->

		</div> <!-- .hero-listing-bar -->

	</section>


	<div id="primary" class="content-area row">

		<?php if ( 'left' == get_theme_mod( 'listing_sidebar_position', 'right' ) ) { get_sidebar( 'single-listing' ); } ?>

		<main id="main" class="site-main <?php echo esc_attr( va_listing_single_class() ); ?> columns" role="main">

			<?php dynamic_sidebar( 'va-single-listing-main-content-sidebar' ); ?>

		</main>

		<?php if ( 'right' == get_theme_mod( 'listing_sidebar_position', 'right' ) ) { get_sidebar( 'single-listing' ); } ?>

	</div> <!-- #primary -->

</div> <!-- #post-ID -->
