<?php
/**
 * Page loop content template.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'content-wrap' ) ); ?> role="article">

	<?php the_post_thumbnail( 'full' ); ?>

	<div class="content-inner">

		<header class="entry-header">

			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

			<?php
			/**
			 * Fires in the page page header.
			 *
			 * @since 4.0.0
			 */
			do_action( 'va_page_template_header' );
			?>

		</header>

		<div class="entry-content">

			<?php the_content(); ?>

			<?php
			wp_link_pages( array(
				'before'      => '<nav class="page-links"><span class="page-links-title">' . __( 'Pages:', APP_TD ) . '</span>',
				'after'       => '</nav>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', APP_TD ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
			?>

		</div> <!-- .entry-content -->

		<footer class="entry-footer">

			<?php
			/**
			 * Fires in the page page footer.
			 *
			 * @since 4.0.0
			 */
			do_action( 'va_page_template_footer' );
			?>

		</footer>

	</div> <!-- .content-inner -->

</article><!-- .content-wrap -->
