<?php
/**
 * Custom post loop content template.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

$featured = va_is_listing_featured( get_the_ID() ) ? 'featured' : '';
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'post-item', 'content-wrap', $featured ) ); ?> role="article">

	<a class="entry-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
		<div <?php echo apply_filters( 'va_background_cover', 'item-cover entry-cover', array( 'size' => 'large' ) ); ?>></div>
	</a>

	<div class="content-inner">

		<header class="entry-header">
			<?php the_title( sprintf( '<h4 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' ); ?>
		</header>

		<div class="entry-content subheader">
			<?php echo va_strimwidth( strip_tags( strip_shortcodes( get_the_content() ), '<p>' ), 0, 1000, '&hellip;' ); ?>
		</div> <!-- .entry-content -->

		<a class="button small hollow" href="<?php the_permalink(); ?>"><?php _e( 'Read more', APP_TD ); ?></a>

	</div> <!-- .content-inner -->

	<footer class="entry-footer">
		<?php echo va_entry_small_meta(); ?>
	</footer>

</article>
