<?php
/**
 * Blog post single loop content template.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'content-wrap' ) ); ?> role="article">

	<div class="content-inner">

		<div class="entry-content">

			<?php
			/* translators: %s: Name of current post */
			the_content( sprintf(
				__( 'Continue reading %s', APP_TD ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<nav class="page-links"><span class="page-links-title">' . __( 'Pages:', APP_TD ) . '</span>',
				'after'       => '</nav>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', APP_TD ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
			?>

		</div> <!-- .entry-content -->

		<?php
		// Author bio.
		if ( is_single() && get_the_author_meta( 'description' ) ) {
			get_template_part( 'parts/content', 'bio' );
		}
		?>

		<footer class="entry-footer">

			<p class="post-tags"><?php the_tags( '<i class="fa fa-tags" aria-hidden="true"></i> <span class="label">', '</span> <span class="label">', '</span>' ); ?></p>

			<?php
			/**
			 * Fires in the single page footer.
			 *
			 * @since 4.0.0
			 */
			do_action( 'va_single_template_footer' );
			?>

		</footer>

	</div> <!-- .content-inner -->

</article>
