<?php
/**
 * The template for displaying dashboard claimed listings
 *
 * @package Vantage\Templates
 * @since 4.0.0
 * @todo Strip out $is_own_dashboard code since only user should see this page anyhow.
 */

 /**
	* Filter the arguments for user's claimed listings.
	*
	* @since 4.0.0
	*
	* @param array $args Array of arguments for querying the claimed listings.
	*/
$args = apply_filters( 'va_get_dashboard_claimed_listings_args', array(
	'post_type'      => VA_LISTING_PTYPE,
	'post_status'    => array( 'publish', 'pending', 'pending-claimed', 'expired' ),
	'meta_key'       => 'claimee',
	'meta_value'     => get_current_user_id(),
	'paged'          => get_query_var( 'paged' ),
	'posts_per_page' => $va_options->listings_per_page,
) );

$claims = new WP_Query( $args );
?>

<div class="claimed-listings">

	<h3 class="widget-title"><?php echo $title; ?></h3>

	<?php if ( 0 === $claims->post_count ) : ?>

		<p class="dashboard-none"><?php echo __( "You don't have any claimed listings.", APP_TD); ?></p>

	<?php
	else :

		echo '<div class="row small-up-1 medium-up-12 list-view listing-wrap">';
		//echo $claims->post_count;
		while ( $claims->have_posts() ) : $claims->the_post();

			echo '<div class="column ' . esc_attr( $claims->post->post_status ) . '">';
			//echo va_get_dashboard_verbiage( get_post_status( get_the_ID() ) );
			if ( 'pending-claimed' == $claims->post->post_status ) {
				echo '<span class="warning label">' . __( 'Pending Claim', APP_TD ) . '</span>';
			}
			if ( $claimee_request_date = get_post_meta( $post->ID, 'claimee_request_date', true ) ) {
				echo '<div class="claim-requested">' . sprintf( _x( 'Claimed: %s', 'date claim requested', APP_TD ), appthemes_display_date( $claimee_request_date ) ) . '</div>';
			}

			get_template_part( 'parts/content', 'listing-item' );

			echo '</div> <!-- .column -->';

		endwhile;

		echo '</div> <!-- .row -->';

		va_the_pagination( $claims );

	endif;
	?>

</div><!-- .claimed-listings -->
