<?php
/**
 * The template for displaying dashboard favorites
 *
 * @package Vantage\Templates
 * @since 4.0.0
 * @todo strip out $is_own_dashboard code since only user should see this page anyhow.
 */

 /**
	* Filter the arguments for user's favorite list.
	*
	* @since 4.0.0
	*
	* @param array $args Array of arguments for querying the favorites.
	*/
$args = apply_filters( 'va_get_dashboard_favorites_args', array(
	'connected_type'  => 'va_favorites',
	'connected_items' => get_current_user_id(),
	'nopaging' 	      => true,
) );

$favorites = new WP_Query( $args );
?>

<div class="dashboard-favorites">

		<h3 class="widget-title"><?php echo $title; ?></h3>

		<?php if ( 0 === $favorites->post_count ) : ?>

			<p class="dashboard-none"><?php echo __( "You don't have any favorites yet.", APP_TD); ?></p>

		<?php
		else :

			echo '<div class="row small-up-1 medium-up-12 list-view listing-wrap">';

			while ( $favorites->have_posts() ) : $favorites->the_post();

				echo '<div class="column">';

				echo '<div class="fave-added">' . sprintf( _x( 'Faved: %s', 'date added to favorites', APP_TD ), date_i18n( get_option( 'date_format' ), strtotime( p2p_get_meta( $favorites->posts[0]->p2p_id, 'date', true ) ) ) ) . '</div>';

				get_template_part( 'parts/content', 'listing-item' );

				echo '</div> <!-- .column -->';

			endwhile;

			echo '</div> <!-- .row -->';

			va_the_pagination( $favorites );

		endif;
		?>

</div><!-- .dashboard-favorites -->
