<?php
/**
 * Template part for mobile menu
 *
 * @since 4.0.0
 */

?>
<!-- off-canvas left menu -->
<div class="off-canvas dark position-left" id="offCanvasLeft" data-off-canvas>

	<!-- Close button -->
	<button class="close-button" aria-label="<?php echo esc_attr_x( 'Close menu', 'aria-label', APP_TD ); ?>" type="button" data-close>
		<span aria-hidden="true">&times;</span>
	</button>

	<ul class="mobile-ofc vertical menu">
		<li class="title"><?php bloginfo( 'name' ); ?></li>
		<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php _e( 'Home', APP_TD ); ?></a></li>
	</ul>

<div class="mobile-hr"></div>

	<!-- Menu -->
	<?php va_header_menu_secondary(); ?>

	<div class="mobile-hr"></div>

	<form method="get" action="<?php echo esc_url( get_post_type_archive_link( VA_LISTING_PTYPE ) ); ?>" class="search-off-canvas-form" role="search">
		<div class="row">
			<div class="medium-12 columns">
				<label>
					<input type="search" value="<?php esc_attr_e( get_search_query() ); ?>" name="ls" id="search_keywords" class="search_keywords" placeholder="<?php echo esc_attr_x( 'Find', 'placeholder', APP_TD ); ?>">
				</label>
			</div>
		</div>
	</form>

</div>

<!-- off-canvas right menu -->
<div class="off-canvas dark position-right" id="offCanvasRight" data-off-canvas data-position="right">

	<!-- Close button -->
	<button class="close-button" aria-label="<?php echo esc_attr_x( 'Close menu', 'aria-label', APP_TD ); ?>" type="button" data-close>
		<span aria-hidden="true">&times;</span>
	</button>

	<ul class="mobile-ofc vertical menu">
		<li class="title"><?php bloginfo( 'name' ); ?></li>
	</ul>

<div class="mobile-hr"></div>

	<!-- Menu -->
	<?php va_header_menu_primary(); ?>

</div>
