<?php
/**
 * The template for displaying the top navigation
 *
 * @package Vantage
 * @since 4.0.0
 */

?>
<nav id="top-bar-primary" class="top-bar" role="navigation">

	<div class="row expanded column">

		<div class="primary-header-wrap">

			<div class="site-branding">
				<?php if ( function_exists( 'the_custom_logo' ) ) { the_custom_logo(); } ?>

				<h2 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h2>
				<?php
				$description = get_bloginfo( 'description', 'display' );
				if ( $description || is_customize_preview() ) : ?>
					<p class="site-description"><?php echo $description; ?></p>
				<?php endif; ?>

			</div><!-- .site-branding -->

			<?php
			/**
			 * Fires in the header next to the logo.
			 *
			 * @since 4.0.0
			 */
			do_action( 'va_header_top_bar_left' );
			?>

			<?php va_header_menu_primary(); ?>

		</div><!-- .primary-header-wrap -->

	</div><!-- .row -->

</nav><!-- .top-bar -->
