<?php
/**
 * Template to display widget "Vantage - Home Featured Listings".
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

$items = $instance['items'];
?>

<div class="row column">

	<div class="home-widget-head-wrap">
	<?php

	if ( ! empty( $instance['header'] ) ) {
		echo $instance['before_title'] . $instance['header'] . $instance['after_title'];
	}

	if ( ! empty( $instance['description'] ) ) {
		echo '<p class="home-widget-description">' . $instance['description'] . '</p>';
	}

	?>
	</div> <!-- .home-widget-head-wrap -->

	<?php
	/**
	 * Fires before the featured listing slider widget.
	 *
	 * @since 4.0.0
	 */
	do_action( 'va_widget_listing_featured_before' );
	?>

	<script>
	jQuery( function( $ ) {
		$('.items-featured').slick( {
			fade: true,
			adaptiveHeight: false
		} );
	} );
	</script>

	<div class="items-featured">

		<?php while ( $items->have_posts() ) : $items->the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="item-single-featured content-wrap">

				<div class="row">

					<div class="medium-6 columns">

						<a class="entry-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
							<div <?php echo apply_filters( 'va_background_cover', 'featured-cover entry-cover', array( 'size' => 'large' ) ); ?>></div>
						</a>

					</div> <!-- .columns -->

					<div class="medium-6 columns content-inner">

						<header class="entry-header">
							<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
						</header>

						<div class="entry-content subheader">
							<?php echo va_strimwidth( strip_tags( strip_shortcodes( wpautop( get_the_content() ) ), '<p>' ), 0, 1000, '&hellip;' ); ?>
						</div> <!-- .entry-content -->

						<a class="button" href="<?php the_permalink(); ?>"><?php _e( 'View Listing', APP_TD ); ?></a>

					</div> <!-- .columns -->

				</div> <!-- .row -->

			</div> <!-- .content-wrap -->

		<?php endwhile; ?>

	</div> <!-- .items-featured -->

</div> <!-- .row -->

<?php
/**
 * Fires after the featured listing slider widget.
 *
 * @since 4.0.0
 */
do_action( 'va_widget_listing_featured_after' );
