<?php
/**
 * Template to display widget "Vantage - Listing Author Stats".
 *
 * @todo Remove logic from the template.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

$counts   = va_count_user_listings();
$statuses = va_public_listing_statuses();
?>

<h4 class="stat-section-name"><?php esc_html_e( 'Listings', APP_TD );?></h4>
<ul class="stat-section stat-section-listings">

<?php
foreach ( $counts as $status => $count ) {

	if ( 'total' === $status ) {
		$name = __( 'Total', APP_TD );
	} elseif ( isset( $statuses[ $status ] ) ) {
		$name = $statuses[ $status ];
	} else {
		$name = $status;
	}

?>
	<li class="stat-<?php echo esc_attr( $status ); ?>">
		<span class="stat-name"><?php echo esc_html( $name ); ?></span>
		<span class="stat-value label primary"><?php echo esc_html( $count ); ?></span>
	</li>
<?php
} ?>

</ul>
<?php
/**
 * Fires after the main listing stats.
 *
 * @since 4.0.0
 */
do_action( 'va_widget_listing_author_stats' );
