<?php
/**
 * Template to display widget "Vantage - Single Listing Author".
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

?>

<div class="listing-owner">
	<div class="listing-owner-avatar">
			<?php echo get_avatar( get_the_author_meta( 'ID' ), 125, '', '', array( 'class' => 'img-circle' ) ); ?>
	</div>

	<div class="listing-owner-info text-center">
		<h3 class="listing-owner-name"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php the_author(); ?></a></h3>

		<span class="listing-owner-headline text-muted"><?php echo esc_html( $instance['headline'] ); ?></span>

	</div>

	<?php if ( $instance['biography'] && $bio = get_the_author_meta( 'description', get_the_author_meta( 'ID' ) ) ) : ?>
		<div class="listing-owner-bio">
			<?php echo $bio; ?>
		</div>
	<?php endif; ?>

	<div class="listing-owner-contact text-center"><?php echo va_contact_listing_owner(); ?></div>

	<?php
	/**
	 * Fires after the listing author widget content.
	 *
	 * @since 4.0.0
	 */
	do_action( 'va_widget_listing_author_after' );
	?>
</div>
