<?php
/**
 * Template to display widget "Vantage - Listing Refine Search".
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

?>

<form method="get" action="<?php echo esc_url( get_post_type_archive_link( VA_LISTING_PTYPE ) ); ?>" class="search-sidebar-form" role="search">

	<div class="refine-search-field-wrap">
	<label for="cat"><?php esc_html_e( 'Categories', APP_TD ); ?></label>
		<div class="refine-categories-list-wrap">
			<?php va_refine_categories(); ?>
		</div><!-- .refine-categories-list -->
	</div><!-- .refine-search-field-wrap -->

	<?php
	/**
	 * Fires after the refine search fields.
	 *
	 * @since 4.0.0
	 */
	do_action( 'va_listing_refine_search_fields_after' );
	?>

	<input type="submit" class="button expanded" value="<?php echo esc_attr_x( 'Update', 'submit button', APP_TD ); ?>">

	<input type="hidden" name="ls" value="<?php esc_attr_e( get_search_query() ); ?>">
	<input type="hidden" name="location" value="<?php esc_attr_e( get_query_var( 'location' ) ); ?>">

</form>
