<?php
/**
 * The blog search results page template file
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

// If search is for listings, use a different template.
if ( isset( $_GET[ 'ls' ] ) ) {
	return appthemes_load_template( 'archive-listing.php' );
}
?>

<div id="primary" class="content-area row">

	<?php if ( 'left' == get_theme_mod( 'blog_sidebar_position', 'right' ) ) { get_sidebar(); } ?>

	<main id="main" class="site-main medium-8 columns" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( __( '%d %s for "%s"', APP_TD ), $wp_query->found_posts, _n( 'result', 'results', number_format_i18n( $wp_query->found_posts ), APP_TD ), get_search_query() ); ?></h1>
			</header><!-- .page-header -->

		<?php while ( have_posts() ) : the_post(); ?>

			<?php get_template_part( 'parts/content', 'search' ); ?>

		<?php endwhile; ?>

			<?php va_the_pagination(); ?>

		<?php else : ?>

			<?php get_template_part( 'parts/content', 'none' ); ?>

		<?php endif; ?>

	</main>

	<?php if ( 'right' == get_theme_mod( 'blog_sidebar_position', 'right' ) ) { get_sidebar(); } ?>

</div> <!-- #primary -->
