<?php
/**
 * The listing search form template file
 *
 * @package Vantage
 * @since 4.0.0
 */

$search_query = '';

// If search is for listings, fill in the search query value.
// This is to prevent the blog search from populating this.
if ( isset( $_GET[ 'ls' ] ) ) {
	$search_query = get_search_query( false );
}
?>
<form method="get" class="search-form" action="<?php echo esc_url( get_post_type_archive_link( VA_LISTING_PTYPE ) ); ?>" role="search">

	<div class="row">

		<div class="search-keywords-wrap medium-4 medium-offset-1 columns">
			<input type="search" value="<?php echo esc_attr( $search_query ); ?>" name="ls" id="search_keywords" class="search_keywords" placeholder="<?php echo esc_attr_x( 'Find', 'placeholder', APP_TD ); ?>">
		</div>

		<div class="search-location-wrap medium-4 columns">
			<button><i class="fa fa-search" aria-hidden="true"></i></button>
			<input type="text" value="<?php echo isset( $_GET['location'] ) ? esc_attr( $_GET['location'] ) : ''; ?>" name="location" id="search_location" class="search_location app-address-field" placeholder="<?php echo esc_attr_x( 'Near', 'placeholder text', APP_TD ); ?>" autocomplete="off">
			<input type="submit" value="<?php esc_attr_e( 'Search', APP_TD ); ?>">
		</div>

		<?php
		/**
		 * Fires after the main header search fields.
		 *
		 * @since 4.0.0
		 */
		do_action( 'va_listing_header_search_fields_after' );
		?>

	</div> <!-- .row -->

</form>
