<?php
/**
 * Footer widget areas.
 *
 * @package Vantage\Templates
 * @since 4.0.0
 */

// If none of the sidebars have widgets, then let's exit.
if ( ! is_active_sidebar( 'va-footer-sidebar-1' ) && ! is_active_sidebar( 'va-footer-sidebar-2' )
	&& ! is_active_sidebar( 'va-footer-sidebar-3' ) && ! is_active_sidebar( 'va-footer-sidebar-4' ) ) {
	return;
}

$footer_sidebar_class = va_footer_sidebar_class();
?>

<?php if ( is_active_sidebar( 'va-footer-sidebar-1' ) ) : ?>
	<div id="footer-widget-first" class="widget-area <?php echo esc_attr( $footer_sidebar_class ); ?> columns" role="complementary">
		<?php dynamic_sidebar( 'va-footer-sidebar-1' ); ?>
	</div> <!-- .widget-area -->
<?php endif; ?>

<?php if ( is_active_sidebar( 'va-footer-sidebar-2' ) ) : ?>
	<div id="footer-widget-second" class="widget-area <?php echo esc_attr( $footer_sidebar_class ); ?> columns" role="complementary">
		<?php dynamic_sidebar( 'va-footer-sidebar-2' ); ?>
	</div> <!-- .widget-area -->
<?php endif; ?>

<?php if ( is_active_sidebar( 'va-footer-sidebar-3' ) ) : ?>
	<div id="footer-widget-third" class="widget-area <?php echo esc_attr( $footer_sidebar_class ); ?> columns" role="complementary">
		<?php dynamic_sidebar( 'va-footer-sidebar-3' ); ?>
	</div> <!-- .widget-area -->
<?php endif; ?>

<?php if ( is_active_sidebar( 'va-footer-sidebar-4' ) ) : ?>
	<div id="footer-widget-fourth" class="widget-area <?php echo esc_attr( $footer_sidebar_class ); ?> columns" role="complementary">
		<?php dynamic_sidebar( 'va-footer-sidebar-4' ); ?>
	</div> <!-- .widget-area -->
<?php endif; ?>
