<?php
/**
 * Template for displaying Listing Form.
 *
 * @package Vantage\Listing\Templates
 * @author  AppThemes
 * @since   4.0.0
 */

?>

<div class="section-head">
	<?php if ( $step = appthemes_get_checkout() ) { ?>
		<h1><?php echo esc_html( $step->get_data( 'title' ) ); ?></h1>
	<?php }  ?>
</div>

<form id="<?php echo esc_attr( "{$nonce_check}-{$action_check}" );?>" class="app-form <?php echo esc_attr( $form_class );?>" enctype="multipart/form-data" method="post" action="<?php echo esc_attr( $action_url ); ?>">

	<?php wp_nonce_field( $nonce_check, $action_check ); ?>

	<?php // The ID is really needed for some scripts! ?>
	<input type="hidden" name="ID" value="<?php echo esc_attr( $listing->ID ); ?>" />

	<fieldset class="fieldset">
		<?php appthemes_listing_form( $listing, $form_fields ); ?>
	</fieldset>

	<?php
	/**
	 * Fires after the create listing form.
	 *
	 * @since 4.0.0
	 */
	do_action( 'va_after_create_listing_form' );
	?>

	<input type="submit" class="button primary" value="<?php echo esc_attr( $action_text ); ?>" />

</form>
