<?php
/**
 * Template for displaying Select Gateway step.
 *
 * @package Vantage\Templates
 * @author  AppThemes
 * @since   4.0.0
 */

?>

<div class="section-head">
	<?php if ( $step = appthemes_get_checkout() ) { ?>
		<h1><?php echo esc_html( $step->get_data( 'title' ) ); ?></h1>
	<?php }  ?>
</div>

<form id="<?php echo esc_attr( "{$nonce_check}-{$action_check}" );?>" class="<?php echo esc_attr( $form_class );?>" action="<?php echo esc_attr( $action_url ); ?>" method="post">

	<?php wp_nonce_field( $nonce_check, $action_check ); ?>

	<div class="content-wrap">

		<div class="content-inner">

			<div class="order-summary p-b-2">

				<?php the_order_summary(); ?>

			</div> <!-- .order-summary -->

			<div class="row">

				<div class="payment-method-wrap medium-6 medium-offset-6 columns">

					<h4><?php _e( 'Payment Method', APP_TD ); ?></h4>

					<?php appthemes_list_gateway_dropdown( 'payment_gateway', $recurring ); ?>

				</div> <!-- .payment-method-wrap -->

			</div> <!-- .row -->

		</div> <!-- .content-inner -->

	</div> <!-- .content-wrap -->

	<input type="submit" class="button primary" value="<?php esc_attr_e( 'Proceed to Checkout', APP_TD ); ?>">

</form>
