<?php
/**
 * The main page wrapper for serving up all content
 *
 * Loads each content template within this wrapper.
 *
 * @package Vantage
 *
 * @since 1.0.0
 * @since 4.0.0 Updated and rebuilt for modern standards.
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<link rel="profile" href="http://gmpg.org/xfn/11">
		<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
		<?php endif; ?>

		<?php wp_head(); ?>
	</head>

	<body <?php body_class(); ?>>

		<div class="off-canvas-wrapper">

			<div class="off-canvas-wrapper-inner" data-off-canvas-wrapper>

				<?php get_template_part( 'parts/nav-mobile-menu' ); ?>

				<div id="content" class="off-canvas-content" data-off-canvas-content>

					<?php get_header(); ?>

					<?php
					/**
					 * Fires after the AppThemes header.
					 *
					 * @since 4.0.0
					 */
					do_action( 'va_content_container_top' );
					?>

					<?php load_template( app_template_path() ); ?>

					<?php get_footer(); ?>

				</div><!-- .off-canvas-content -->

			</div><!-- .off-canvas-wrapper-inner -->

		</div><!-- .off-canvas-wrapper -->

		<?php wp_footer();?>

	</body>
</html>
